/* Home Page Slideshow */

:root,
html {
    --themeColor: #09f;
    --color: #1E1E1E
}

.flexslider {
    width: 100%;
    height: 100vh;
    margin: 0 auto;
    position: sticky;
    top: 0px;
    z-index: 1
}

.flexslider li {
    height: 100vh;
    position: relative;
    z-index: 1;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}

.loading .flexslider {
    min-height: 100vh;
    background: white url('../img/loading.gif') center center no-repeat
}

.flexslider .slides li {
    position: relative;
    z-index: 2
}

.slides>li {
    display: none;
}

.no-js .slides>li:first-child {
    display: block;
}

.flexslider .slides li img {
    position: relative;
    z-index: 2
}

.flexslider .slides li:before {
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: 3;
    left: 0px;
    top: 0px;
    content: "";
    background-image: linear-gradient(to right, rgba(25, 25, 25, 0.4), rgba(25, 25, 25, 0))
}

.flexslider li .copy {
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    z-index: 4;
    bottom: 35%;
    left: 10vw;
    max-width: 50vw;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    text-shadow: 0 1px 10px rgba(0, 0, 0, 0.1)
}

.flexslider li h1 {
    font-size: 5em;
    padding: 0
}

.flexslider li p {
    font-size: 1.25em;
    padding: 1em 0;
    color: white;
}

.flexslider li .buttons a {
    margin-right: 1em
}

.flexslider li.flex-active-slide .copy h1,
.flexslider li.flex-active-slide .copy p,
.flexslider li.flex-active-slide .copy .buttons {
    -webkit-animation-delay: .5s;
    animation-delay: .5s;
    -webkit-animation-duration: .6s;
    animation-duration: .6s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-name: fadeInLeft;
    animation-name: fadeInLeft
}

.flexslider li.flex-active-slide .copy p {
    -webkit-animation-delay: .75s;
    animation-delay: .75s
}

.flexslider li.flex-active-slide .copy .buttons {
    -webkit-animation-delay: 1s;
    animation-delay: 1s
}

@-webkit-keyframes fadeInLeft {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none
    }
}

@keyframes fadeInLeft {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none
    }
}

@-webkit-keyframes fadeOutLeft {
    0% {
        opacity: 1
    }
    100% {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0)
    }
}

@keyframes fadeOutLeft {
    0% {
        opacity: 1
    }
    100% {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0)
    }
}

.flexslider .flex-control-nav {
    width: 15px;
    height: 100%;
    position: absolute;
    right: 25px;
    top: 45%;
    text-align: right;
    z-index: 5;
    text-align: center
}

.flexslider .flex-control-nav li {
    margin: 8px 0;
    height: 15px;
    width: 15px;
    display: inline-block;
    zoom: 1;
    *display: inline;
    background: transparent
}

.flexslider .flex-control-paging li a {
    width: 15px;
    height: 15px;
    display: block;
    position: relative;
    z-index: 5;
    text-align: left;
    background: white;
    cursor: pointer;
    text-indent: -9999px;
    -webkit-border-radius: 20px;
    border-radius: 20px
}

.flexslider .flex-control-paging li a:hover {
    background: #f5a81d
}

.flexslider .flex-control-paging li a.flex-active {
    background: #f5a81d;
    cursor: default
}


/* Common Photo Banner */

.photo-banner {
    width: 100%;
    z-index: 5;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    background-image: linear-gradient(to right, rgba(25, 25, 25, 0.4), rgba(25, 25, 25, 0))
}

.photo-banner:before {
    width: 100%;
    position: absolute;
    z-index: 3;
    left: 0px;
    top: 0px;
    content: "";
    background-image: linear-gradient(to right, rgba(25, 25, 25, 0.4), rgba(25, 25, 25, 0))
}

.photo-banner .copy {
    z-index: 6;
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    color: white;
    display: block;
    text-shadow: 0 1px 10px rgba(0, 0, 0, 0.1)
}

.photo-banner h1 {
    font-size: 26px;
    line-height: 110%;
    padding: 0;
    color: var(--color);
}

.photo-banner p :not(.icon-texts) {
    padding: 0;
    color: var(--color);
}

.buttonscolumn a.btn {
    margin-right: 1em;
}

.photo-banner.block .copy {
    padding: 0;
    text-align: left;
}

.photo-banner.block .dark-block {
    background: #242729;
    color: white;
    border-radius: 5px
}

.photo-banner .dark-block p {
    font-size: 1em;
    padding: 1.5em 0;
    color: white;
    text-align: left;
}

@media screen and (min-width:1025px) {
    .photo-banner {
        background-attachment: fixed
    }
    .photo-banner.taller {
        height: 75vh;
    }
    .photo-banner .copy {
        left: 0;
        max-width: 100%;
        padding: 2em 0 0;
    }
    .photo-banner h1 {
        max-width: 100%;
        margin: auto;
    }
    .photo-banner .buttons {
        padding: 1em 0 0
    }
    .photo-banner .buttons a {
        margin-right: 1em
    }
    .photo-banner.block {
        height: 80vh;
    }
    .photo-banner.block .copy {
        left: 5vw;
        max-width: 35vw;
    }
    .photo-banner.block .dark-block {
        padding: 3em;
    }
    .photo-banner.block .dark-block h2 {
        text-align: left;
        padding: 0;
    }
    .photo-banner .dark-block p {
        font-size: 1em;
        padding: 1.5em 0;
        color: white;
    }
    .flexslider li .buttons {
        display: flex;
        flex-direction: row;
        padding: 0.5em 0 0
    }
}

@media screen and (max-width:1024px) {
    .photo-banner.taller {
        height: 75vh
    }
    .photo-banner .copy,
    .flexslider li .copy {
        text-align: center;
        width: auto;
        display: block;
        max-width: 100%;
        left: 0;
        top: 60%;
        -webkit-transform: translateY(-60%);
        -ms-transform: translateY(-60%);
        transform: translateY(-60%);
    }
    .photo-banner .buttons a {
        margin: 0.5em
    }
    .photo-banner h1 br {
        display: none;
    }
    .photo-banner.block {
        height: 75vh;
    }
    .photo-banner.block .copy {
        left: 5vw;
        max-width: 75vw;
        text-align: left;
        top: 90%;
        -webkit-transform: translateY(-90%);
        -ms-transform: translateY(-90%);
        transform: translateY(-90%);
    }
    .photo-banner.block .dark-block {
        padding: 1.5em;
    }
    .photo-banner.block .dark-block h2 {
        text-align: left;
        padding: 0;
    }
    .photo-banner .dark-block p {
        padding: 1em 0;
    }
    .flexslider,
    .flexslider li {
        height: 100vh
    }
    .flexslider li h1,
    .photo-banner h1 {
        font-size: 3em;
        padding: 0
    }
    .flexslider li p,
    .photo-banner p {
        font-size: 1em;
        padding: 0.5em 0
    }
    .flexslider .buttons a {
        margin: 0.5em 0
    }
    .flex-control-nav {
        right: 15px
    }
    .flex-control-nav li {
        margin: 6px 0;
        height: 12px;
        width: 12px;
        display: inline-block;
        zoom: 1;
        *display: inline;
        background: transparent
    }
    .flex-control-paging li a {
        width: 12px;
        height: 12px
    }
}

@media screen and (max-width:768px) {
    .flexslider .flex-control-nav {
        display: none
    }
    .photo-banner.block {
        height: 75vh;
    }
    .photo-banner.block .copy {
        left: 20px;
        max-width: 90vw;
        text-align: left;
        top: 95%;
        -webkit-transform: translateY(-95%);
        -ms-transform: translateY(-95%);
        transform: translateY(-95%);
    }
    .photo-banner.block .dark-block {
        padding: 1.5em;
    }
    .flexslider li h1,
    .photo-banner h1 {
        font-size: 2em;
        padding: 0
    }
    .photo-banner.block .dark-block h2 {
        text-align: left;
        padding: 0;
    }
    .flexslider li p,
    .photo-banner p {
        padding: 0.25em 0
    }
}

@media screen and (max-width:400px) {
    .flexslider li h1,
    .photo-banner h1 {
        font-size: 2em
    }
}